/**
 * the metadata to pass to wallet connection dialog (may show up during the wallet-connection process)
 * @remarks this is only used for wallet connect and wallet link, metamask does not support it
 * @public
 */
export interface DAppMetaData {
    /**
     * the name of your app
     */
    name: string;
    /**
     * the url where your app is hosted
     */
    url: string;
    /**
     * optional - a description of your app
     */
    description?: string;
    /**
     * optional - a url that points to a logo (or favicon) of your app
     */
    logoUrl?: string;
    /**
     * optional - whether to show the connect dialog in darkmode or not
     */
    isDarkMode?: boolean;
    /**
     * optional - Callback url for returning to your dapp after the wallet connection process
     */
    callbackUrl?: string;
}
//# sourceMappingURL=dAppMeta.d.ts.map